> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /mk8s/v1/node-groups/{id}
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /mk8s/v1/node-groups/{id}:
    get:
      tags:
        - nebius.mk8s.v1.NodeGroupService
      summary: Get
      operationId: NodeGroupService_Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - in: query
          name: resourceVersion
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mk8sV1NodeGroup'
          description: A successful response.
components:
  schemas:
    mk8sV1NodeGroup:
      description: >-
        NodeGroup represents Kubernetes node pool - set of worker machines
        having the same configuration.

        A Node is a Nebius Compute Instance created in
        Cluster.metadata.parent_id container, running kubelet

        that registers in Kubernetes API and a Node object created.
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/mk8sV1NodeGroupSpec'
        status:
          $ref: '#/components/schemas/mk8sV1NodeGroupStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    mk8sV1NodeGroupSpec:
      properties:
        autoRepair:
          $ref: '#/components/schemas/mk8sV1NodeGroupAutoRepairSpec'
        autoscaling:
          $ref: '#/components/schemas/mk8sV1NodeGroupAutoscalingSpec'
        fixedNodeCount:
          description: >-
            Number of nodes in the group. Can be changed manually at any time,
            except for a node group with NVLink.
          format: int64
          type: string
        strategy:
          $ref: '#/components/schemas/mk8sV1NodeGroupDeploymentStrategy'
        template:
          $ref: '#/components/schemas/mk8sV1NodeTemplate'
        version:
          description: >-
            Version is desired Kubernetes version of the cluster. For now only
            acceptable format is

            `<major>.<minor>` like "1.31". Option for patch version update will
            be added later.

            By default the cluster control plane `<major>.<minor>` version will
            be used.
          type: string
      required:
        - template
      type: object
    mk8sV1NodeGroupStatus:
      properties:
        events:
          items:
            $ref: '#/components/schemas/v1RecurrentResourceEvent'
          type: array
        nodeCount:
          description: |-
            Total number of nodes that are currently in the node group.
            Both ready and not ready nodes are counted.
          format: int64
          type: string
        outdatedNodeCount:
          description: >-
            Total number of nodes that has outdated node configuration.

            These nodes will be replaced by new nodes with up-to-date
            configuration.
          format: int64
          type: string
        readyNodeCount:
          description: >-
            Total number of nodes that successfully joined the cluster and are
            ready to serve workloads.

            Both outdated and up-to-date nodes are counted.
          format: int64
          type: string
        reconciling:
          description: Show that there are changes are in flight.
          type: boolean
        state:
          $ref: '#/components/schemas/mk8sV1NodeGroupStatusState'
        strategy:
          $ref: '#/components/schemas/mk8sV1NodeGroupDeploymentStrategy'
        targetNodeCount:
          description: >-
            Desired total number of nodes that should be in the node group.

            It is either `NodeGroupSpec.fixed_node_count` or arbitrary number
            between

            `NodeGroupAutoscalingSpec.min_node_count` and
            `NodeGroupAutoscalingSpec.max_node_count` decided by autoscaler.
          format: int64
          type: string
        version:
          description: >-
            Actual version of NodeGroup. Have format
            `<major>.<minor>.<patch>-nebius-node.<infra_version>` like
            "1.30.0-nebius-node.10".

            Where `<major>.<minor>.<patch>` is Kubernetes version and
            `<infra_version>` is version of Node infrastructure and
            configuration,

            which update may include bug fixes, security updates and new
            features depending on worker node configuration.
          type: string
      type: object
    mk8sV1NodeGroupAutoRepairSpec:
      properties:
        conditions:
          description: Conditions that determine whether a node should be auto repaired.
          items:
            $ref: '#/components/schemas/mk8sV1NodeAutoRepairCondition'
          type: array
      type: object
    mk8sV1NodeGroupAutoscalingSpec:
      properties:
        maxNodeCount:
          format: int64
          type: string
        minNodeCount:
          format: int64
          type: string
      type: object
    mk8sV1NodeGroupDeploymentStrategy:
      properties:
        drainTimeout:
          description: >-
            Maximum amount of time that the service will spend attempting to
            gracefully drain a node

            (evicting its pods) before falling back to pod deletion.

            A value of 0 means no timeout: the node can be drained for an
            unlimited time.

            Important consequence of that is if PodDisruptionBudget doesn't
            allow evicting a pod,

            then NodeGroup update with node re-creation will hang on that pod
            eviction.

            Note that this is different from `kubectl drain --timeout`, which
            gives up and returns an error.


            On 2026-08-01, defaults to 0.

            IMPORTANT: starting from Q3 2026 new default is 10m;

            for new clusters it will default to 10m,

            node groups in existing clusters will be gradually migrated during
            Q3 to the default of 10m as well.

            To get the actual value for your node group, please see 'strategy'
            in its status.
          type: string
        maxSurge:
          $ref: '#/components/schemas/mk8sV1PercentOrCount'
        maxUnavailable:
          $ref: '#/components/schemas/mk8sV1PercentOrCount'
      type: object
    mk8sV1NodeTemplate:
      properties:
        bootDisk:
          $ref: '#/components/schemas/nebiusMk8sV1DiskSpec'
        cloudInitUserData:
          description: |-
            cloud-init user-data
            Should contain at least one SSH key.
          type: string
        filesystems:
          description: >-
            Static attachments of Compute Filesystem.

            Can be used as a workaround, until CSI for Compute Disk and
            Filesystem will be available.
          items:
            $ref: '#/components/schemas/nebiusMk8sV1AttachedFilesystemSpec'
          type: array
        gpuCluster:
          $ref: '#/components/schemas/nebiusMk8sV1GpuClusterSpec'
        gpuSettings:
          $ref: '#/components/schemas/mk8sV1GpuSettings'
        localDisks:
          $ref: '#/components/schemas/nebiusMk8sV1LocalDisksSpec'
        maxPods:
          description: >-
            The maximum number of Pods per node for your cluster. If omitted,
            MK8S assigns the default value of 110. When you

            configure the maximum number of Pods per node for the cluster, MK8S
            uses this value to allocate a CIDR range for every node

            in group. The node CIDR prefix is calculated as `32 - ceil(log2(2 *
            max_pods))`, i.e. the smallest IPv4 subnet whose total address

            count is at least `2 * max_pods`. Not all IPs are usable for
            workload Pods because some of them are consumed by system Pods.
          format: int64
          type: string
        metadata:
          $ref: '#/components/schemas/mk8sV1NodeMetadataTemplate'
        networkInterfaces:
          items:
            $ref: '#/components/schemas/mk8sV1NetworkInterfaceTemplate'
          type: array
        nvlink:
          $ref: '#/components/schemas/v1NVLinkSpec'
        os:
          title: >-
            OS version that will be used to create the boot disk of Compute
            Instances in the NodeGroup.

            Supported platform / Kubernetes version / OS / driver presets
            combinations

            * `gpu-l40s-a`, `gpu-l40s-d`, `gpu-h100-sxm`, `gpu-h200-sxm`,
            `cpu-e1`, `cpu-e2`, `cpu-d3`:
              * `drivers_preset`: `""`
                * `version`: 1.30 → `"ubuntu22.04"`
                * `version`: 1.31 → `"ubuntu22.04"` (default), `"ubuntu24.04"`
            * `gpu-l40s-a`, `gpu-l40s-d`, `gpu-h100-sxm`, `gpu-h200-sxm`:
              * `drivers_preset`: `"cuda12"` (CUDA 12.4)
                * `version`: 1.30, 1.31 → `"ubuntu22.04"`
              * `drivers_preset`: `"cuda12.4"`
                * `version`: 1.31 → `"ubuntu22.04"`
              * `drivers_preset`: `"cuda12.8"`
                * `version`: 1.31 → `"ubuntu24.04"`
            * `gpu-b200-sxm`:
              * `drivers_preset`: `""`
                * `version`: 1.30, 1.31 → `"ubuntu24.04"`
              * `drivers_preset`: `"cuda12"` (CUDA 12.8)
                * `version`: 1.30, 1.31 → `"ubuntu24.04"`
              * `drivers_preset`: `"cuda12.8"`
                * `version`: 1.31 → `"ubuntu24.04"`
            * `gpu-b200-sxm-a`:
              * `drivers_preset`: `""`
                * `version`: 1.31 → `"ubuntu24.04"`
              * `drivers_preset`: `"cuda12.8"`
                * `version`: 1.31 → `"ubuntu24.04"`
          type: string
        preemptible:
          $ref: '#/components/schemas/nebiusMk8sV1PreemptibleSpec'
        reservationPolicy:
          $ref: '#/components/schemas/nebiusMk8sV1ReservationPolicy'
        resources:
          $ref: '#/components/schemas/nebiusMk8sV1ResourcesSpec'
        serviceAccountId:
          description: >-
            the Nebius service account whose credentials will be available on
            the nodes of the group.

            With these credentials, it is possible to make `nebius` CLI or
            public API requests from the nodes

            without the need for extra authentication.

            This service account is also used to make requests to container
            registry.


            `resource.serviceaccount.issueAccessToken` permission is required to
            use this field.
          type: string
        taints:
          description: >-
            Kubernetes Node taints.

            For now change will not be propagated to existing nodes, so will be
            applied only to Kubernetes Nodes created after the field change.

            That behaviour may change later.

            So, for now you will need to manually set them to existing nodes, if
            that is needed.

            Field change will NOT trigger NodeGroup roll out.
          items:
            $ref: '#/components/schemas/mk8sV1NodeTaint'
          type: array
      required:
        - resources
      type: object
    v1RecurrentResourceEvent:
      properties:
        firstOccurredAt:
          format: date-time
          title: Time of the first occurrence of a recurrent event
          type: string
        lastOccurrence:
          $ref: '#/components/schemas/v1ResourceEvent'
        occurrenceCount:
          format: int64
          title: >-
            The number of times this event has occurred between
            `first_occurred_at` and `last_occurrence.occurred_at`. Must be > 0
          type: string
      title: >-
        A resource event that has occurred (more or less in the same way)
        multiple times across a service-defined aggregation interval
      type: object
    mk8sV1NodeGroupStatusState:
      default: STATE_UNSPECIFIED
      enum:
        - STATE_UNSPECIFIED
        - PROVISIONING
        - RUNNING
        - DELETING
      type: string
    mk8sV1NodeAutoRepairCondition:
      properties:
        disabled:
          description: When true, disables the default auto-repair condition rules.
          type: boolean
        status:
          $ref: '#/components/schemas/mk8sV1ConditionStatus'
        timeout:
          description: >-
            The duration after which the node is automatically repaired if the
            condition remains in the specified status.
          type: string
        type:
          description: Node condition type.
          type: string
      required:
        - type
      type: object
    mk8sV1PercentOrCount:
      properties:
        count:
          format: int64
          type: string
        percent:
          format: int64
          type: string
      type: object
    nebiusMk8sV1DiskSpec:
      properties:
        blockSizeBytes:
          format: int64
          type: string
        sizeBytes:
          format: int64
          type: string
        sizeGibibytes:
          format: int64
          type: string
        sizeKibibytes:
          format: int64
          type: string
        sizeMebibytes:
          format: int64
          type: string
        type:
          $ref: '#/components/schemas/nebiusMk8sV1DiskSpecDiskType'
      type: object
    nebiusMk8sV1AttachedFilesystemSpec:
      properties:
        attachMode:
          $ref: '#/components/schemas/nebiusMk8sV1AttachedFilesystemSpecAttachMode'
        existingFilesystem:
          $ref: '#/components/schemas/nebiusMk8sV1ExistingFilesystem'
        mountTag:
          description: >-
            Specifies the user-defined identifier, allowing to use it as a
            device in mount command.
          type: string
      required:
        - attachMode
        - mountTag
      type: object
    nebiusMk8sV1GpuClusterSpec:
      properties:
        id:
          type: string
      type: object
    mk8sV1GpuSettings:
      description: GPU-related settings.
      properties:
        driversPreset:
          title: >-
            Identifier of the predefined set of drivers included in the
            ComputeImage deployed on ComputeInstances that are part of the
            NodeGroup.

            Supported presets for different platform / Kubernetes version
            combinations:

            * `gpu-l40s-a`, `gpu-l40s-d`, `gpu-h100-sxm`, `gpu-h200-sxm`:
              * `version`: 1.30 → `"cuda12"` (CUDA 12.4)
              * `version`: 1.31 → `"cuda12"` (CUDA 12.4), `"cuda12.4"`, `"cuda12.8"`
            * `gpu-b200-sxm`:
              * `version`: 1.31 → `"cuda12"` (CUDA 12.8), `"cuda12.8"`
            * `gpu-b200-sxm-a`:
              * `version`: 1.31 → `"cuda12.8"`
          type: string
      required:
        - driversPreset
      type: object
    nebiusMk8sV1LocalDisksSpec:
      properties:
        config:
          $ref: '#/components/schemas/v1LocalDisksSpecConfig'
        passthroughGroup:
          $ref: '#/components/schemas/nebiusMk8sV1PassthroughGroupRequest'
      type: object
    mk8sV1NodeMetadataTemplate:
      properties:
        labels:
          additionalProperties:
            type: string
          description: >-
            Kubernetes Node labels.


            Keys and values must follow Kubernetes label syntax:

            https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/


            For now change will not be propagated to existing nodes, so will be
            applied only to Kubernetes Nodes created after the field change.

            That behavior may change later.

            So, for now you will need to manually set them to existing nodes, if
            that is needed.


            System labels containing "kubernetes.io" and "k8s.io" will be
            ignored.

            Field change will NOT trigger NodeGroup roll out.
          type: object
      type: object
    mk8sV1NetworkInterfaceTemplate:
      properties:
        publicIpAddress:
          $ref: '#/components/schemas/nebiusMk8sV1PublicIPAddress'
        securityGroups:
          description: >-
            User provided VPC Security Groups which will be assigned to all
            nodes of this NodeGroup.
          items:
            $ref: '#/components/schemas/nebiusMk8sV1SecurityGroup'
          type: array
        subnetId:
          description: >-
            Nebius VPC Subnet ID that will be attached to a node cloud instance
            network interface.

            By default Cluster control plane subnet_id used.

            Subnet should be located in the same network with control plane.
          type: string
      type: object
    v1NVLinkSpec:
      properties:
        nvlInstanceGroupId:
          description: Existing NVLInstanceGroup ID to use.
          type: string
      type: object
    nebiusMk8sV1PreemptibleSpec:
      type: object
    nebiusMk8sV1ReservationPolicy:
      description: >-
        ReservationPolicy is copied as-is from NebiusAPI
        `compute/v1/instance.proto`.
      properties:
        policy:
          $ref: '#/components/schemas/nebiusMk8sV1ReservationPolicyPolicy'
        reservationIds:
          items:
            type: string
          title: Capacity block groups, order matters
          type: array
      type: object
    nebiusMk8sV1ResourcesSpec:
      properties:
        platform:
          type: string
        preset:
          type: string
      required:
        - platform
      type: object
    mk8sV1NodeTaint:
      properties:
        effect:
          $ref: '#/components/schemas/mk8sV1NodeTaintEffect'
        key:
          type: string
        value:
          type: string
      required:
        - key
        - value
        - effect
      title: >-
        See
        https://kubernetes.io/docs/concepts/scheduling-eviction/taint-and-toleration/
      type: object
    v1ResourceEvent:
      properties:
        code:
          title: >-
            Event code (unique within the API service), in UpperCamelCase, e.g.
            `"DiskAttached"`
          type: string
        error:
          $ref: '#/components/schemas/googleRpcStatus'
        level:
          $ref: '#/components/schemas/ResourceEventLevel'
        message:
          title: >-
            A human-readable message describing what has happened

            (and suggested actions for the user, if this is a `WARN` or `ERROR`
            level event)
          type: string
        occurredAt:
          format: date-time
          title: Time at which the event has occurred
          type: string
      title: >-
        Represents an API Resource-related event which is potentially important
        to the end-user. What exactly constitutes an *event* to be

        reported is service-dependent
      type: object
    mk8sV1ConditionStatus:
      default: CONDITION_STATUS_UNSPECIFIED
      enum:
        - CONDITION_STATUS_UNSPECIFIED
        - 'TRUE'
        - 'FALSE'
        - UNKNOWN
      type: string
    nebiusMk8sV1DiskSpecDiskType:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - NETWORK_SSD
        - NETWORK_HDD
        - NETWORK_SSD_IO_M3
        - NETWORK_SSD_NON_REPLICATED
      type: string
    nebiusMk8sV1AttachedFilesystemSpecAttachMode:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - READ_ONLY
        - READ_WRITE
      type: string
    nebiusMk8sV1ExistingFilesystem:
      properties:
        id:
          type: string
      required:
        - id
      type: object
    v1LocalDisksSpecConfig:
      description: >-
        LocalDisksSpecConfig defines actions that managed Kubernetes service
        performs on mounted local disks

        to provide them inside Kubernetes cluster with a convenient interface.
      properties:
        kubeletEphemeral:
          description: The default when LocalDisksSpecConfig is not set.
          title: >-
            kubelet_ephemeral: combine all local disks into a single storage
            volume and use it as kubelet's local ephemeral storage on the node

            See also
            https://kubernetes.io/docs/concepts/storage/ephemeral-storage/
          type: boolean
        none:
          description: >-
            none: "do nothing" - local disks will be provisioned as on a regular
            compute instance.
          type: boolean
      type: object
    nebiusMk8sV1PassthroughGroupRequest:
      properties:
        requested:
          description: >-
            Passthrough local disks from the underlying host.


            Devices are expected to appear in the guest as NVMe devices (nvme0,
            nvme1, ...),

            but the exact number depends on the preset.

            Enabled only when this field is explicitly set.
          type: boolean
      type: object
    nebiusMk8sV1PublicIPAddress:
      description: Describes a public IP address.
      type: object
    nebiusMk8sV1SecurityGroup:
      properties:
        id:
          type: string
      type: object
    nebiusMk8sV1ReservationPolicyPolicy:
      default: AUTO
      description: >2-
         - AUTO: 1) Will try to launch instance in any reservation_ids if provided.
        2) Will try to launch instance in any of the available capacity block.

        3) Will try to launch instance in PAYG if 1 & 2 are not satisfied.
         - FORBID: The instance is launched only using on-demand (PAYG) capacity.
        No attempt is made to find or use a Capacity Block.

        It's an error to provide reservation_ids with policy = FORBID
         - STRICT: 1) Will try to launch the instance in Capacity Blocks from reservation_ids if provided.
        2) If reservation_ids are not provided will try to launch instance in
        suitable & available Capacity Block.

        3) Fail otherwise.
      enum:
        - AUTO
        - FORBID
        - STRICT
      type: string
    mk8sV1NodeTaintEffect:
      default: EFFECT_UNSPECIFIED
      enum:
        - EFFECT_UNSPECIFIED
        - NO_EXECUTE
        - NO_SCHEDULE
        - PREFER_NO_SCHEDULE
      type: string
    googleRpcStatus:
      description: >-
        The `Status` type defines a logical error model that is suitable for

        different programming environments, including REST APIs and RPC APIs. It
        is

        used by [gRPC](https://github.com/grpc). Each `Status` message contains

        three pieces of data: error code, error message, and error details.


        You can find out more about this error model and how to work with it in
        the

        [API Design Guide](https://cloud.google.com/apis/design/errors).
      properties:
        code:
          description: |-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
          type: integer
        details:
          description: >-
            A list of messages that carry the error details.  There is a common
            set of

            message types for APIs to use.
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          description: >-
            A developer-facing error message, which should be in English. Any

            user-facing error message should be localized and sent in the

            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized

            by the client.
          type: string
      type: object
    ResourceEventLevel:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - DEBUG
        - INFO
        - WARN
        - ERROR
      title: |-
        - UNSPECIFIED: Unspecified event severity level
         - DEBUG: A debug event providing detailed insight. Such events are used to debug problems with specific resource(s) and process(es)
         - INFO: A normal event or state change. Informs what is happening with the API resource. Does not require user attention or interaction
         - WARN: Warning event. Indicates a potential or minor problem with the API resource and/or the corresponding processes. Needs user attention,
        but requires no immediate action (yet)
         - ERROR: Error event. Indicates a serious problem with the API resource and/or the corresponding processes. Requires immediate user action
      type: string
    protobufAny:
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message
      properties:
        '@type':
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````